> For the complete documentation index, see [llms.txt](https://apidocs.api19.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.api19.com/campaigns/list-10dlc-brand-vetting-providers.md).

# List 10DLC Brand Vetting Providers

## GET or POST Request

{% hint style="info" %}
<https://v1.api19.com/campaigns/brand/vetting/providers>
{% endhint %}

Get a list of available external vetting providers for 10DLC brands

{% tabs %}
{% tab title="Curl Post" %}

```bash
curl https://v1.api19.com/campaigns/brand/vetting/providers \
 -d 'key=api_token'
```

{% endtab %}

{% tab title="Curl Get" %}

```bash
curl https://v1.api19.com/campaigns/brand/vetting/providers?key=apikey
```

{% endtab %}

{% tab title="JSON Response" %}

```json
{
    "status": "ok",
    "providers": [
        {
            "evpId": "AEGIS",
            "displayName": "Aegis Mobile",
            "tcrBillable": true,
            "vettingClasses": [
                "STANDARD",
                "POLITICAL",
                "ENHANCED",
                "RCS",
                "AUTHPLUS"
            ],
            "vettingInstruction": "{\r\n  \"importVet\" : {\r\n    \"supported\" : true,\r\n    \"parameters\" : {\r\n      \"vettingId\" : {\r\n        \"label\" : \"Vetting ID\",\r\n        \"show\" : true\r\n      },\r\n      \"vettingToken\" : {\r\n        \"label\" : \"Vetting Token\",\r\n        \"show\" : false\r\n      }\r\n    },\r\n    \"info\" : \"Vetting partner Aegis\"\r\n  },\r\n  \"newVet\" : {\r\n    \"supported\" : true,\r\n    \"price\" : {\r\n      \"STANDARD\" : 40\r\n    },\r\n    \"waitTime\" : \"30 seconds\",\r\n    \"info\" : \"Vetting partner Aegis\"\r\n  }\r\n}"
        },
        ...
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.api19.com/campaigns/list-10dlc-brand-vetting-providers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
